> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onconsul.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Consul Balance

Returns the current USDC balance of your Consul account.
The balance reflects the settled funds immediately
available for payouts or withdrawals.

Funds are held as USDC on Base.


## OpenAPI

````yaml get /balance
openapi: 3.0.3
info:
  title: Consul API
  version: 0.0.1
servers: []
security: []
paths:
  /balance:
    get:
      operationId: GetBalance
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WalletBalance'
          description: OK
        default:
          content:
            application/problem+json:
              schema:
                $ref: '#/components/schemas/ErrorModel'
          description: Error
components:
  schemas:
    WalletBalance:
      additionalProperties: false
      properties:
        amount:
          format: decimal
          type: string
        chain:
          $ref: '#/components/schemas/CryptoNetworkAndChain'
        currency:
          $ref: '#/components/schemas/Currency'
        last_updated:
          format: date-time
          type: string
      required:
        - chain
        - currency
        - amount
        - last_updated
      type: object
    ErrorModel:
      additionalProperties: false
      properties:
        detail:
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          example: Property foo is required but is missing.
          type: string
        errors:
          description: Optional list of individual error details
          items:
            $ref: '#/components/schemas/ErrorDetail'
          type: array
        instance:
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          example: https://example.com/error-log/abc123
          format: uri
          type: string
        status:
          description: HTTP status code
          example: 400
          format: int64
          type: integer
        title:
          description: >-
            A short, human-readable summary of the problem type. This value
            should not change between occurrences of the error.
          example: Bad Request
          type: string
        type:
          default: about:blank
          description: A URI reference to human-readable documentation for the error.
          example: https://example.com/errors/example
          format: uri
          type: string
      type: object
    CryptoNetworkAndChain:
      enum:
        - ethereum
        - polygon
        - base
        - arbitrum
        - optimism
      type: string
    Currency:
      enum:
        - USDC
        - USDT
        - USD
        - BRL
        - ARS
        - COP
        - MXN
        - CAD
        - EUR
      type: string
    ErrorDetail:
      additionalProperties: false
      properties:
        location:
          description: >-
            Where the error occurred, e.g. 'body.items[3].tags' or
            'path.thing-id'
          type: string
        message:
          description: Error message text
          type: string
        value:
          description: The value at the given location
      type: object

````